> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/addresses.md).

# Addresses

Residential or business addresses can be linked to your client.

An **address** can be associated with any client.

The API allows you to create, retrieve, update, and delete addresses. You can fetch a specific address or retrieve a list of all your addresses.

### The Address object

<table data-search="true"><thead><tr><th width="215">Attribute</th><th width="123">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for an address.</td></tr><tr><td><code>clientId</code></td><td>string</td><td>The ID of the client associated with this address.</td></tr><tr><td><code>type</code></td><td>string</td><td><p>The type of address. Valid values are:</p><ol><li><code>main</code></li><li><code>alternative</code></li><li><code>other</code></li></ol></td></tr><tr><td><code>propertyNumber</code></td><td>string</td><td>The property number of the client's address.</td></tr><tr><td><code>buildingName</code></td><td>string</td><td>The building name of the client's address.</td></tr><tr><td><code>line</code></td><td>string</td><td>The line of the client's address.</td></tr><tr><td><code>city</code></td><td>string</td><td>The city or town of the client's address.</td></tr><tr><td><code>state</code></td><td>string</td><td>The county, state, or province of the client's address. When country is <code>US</code>, this must be the state's <a href="https://pe.usps.com/text/pub28/28apb.htm">USPS abbreviation</a> (e.g. <code>NY</code>, <code>CA</code>, or <code>DE</code>).</td></tr><tr><td><code>postalCode</code></td><td>string</td><td>The zip or postal code of the client's address.</td></tr><tr><td><code>country</code></td><td>string</td><td>The country of the client's address. This will be the <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">two-letter country ISO code</a>.</td></tr><tr><td><code>fromDate</code></td><td>string</td><td>The date the client moved into this address. The format is <code>YYYY-MM-DD</code>. </td></tr><tr><td><code>toDate</code></td><td>string</td><td>The date the client moved out of this address. The format is <code>YYYY-MM-DD</code>. </td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the address was created.</td></tr><tr><td><code>updatedAt</code></td><td>string</td><td>The date and time when the address was updated.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/addresses.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
